use serde::Serialize;
use serde_json::{Value, json};
use sysinfo::Networks;

#[derive(Debug, Serialize)]
pub struct NetworkInfo {
    adapters: Vec<String>,
}

#[allow(dead_code)]
pub fn get_struct() -> NetworkInfo {
    let networks = Networks::new_with_refreshed_list();
    let mut adapters = Vec::new();

    for (interface_name, _network_data) in &networks {
        adapters.push(interface_name.to_string());
    }

    NetworkInfo { adapters }
}

#[allow(dead_code)]
pub fn get_json() -> Value {
    json!(get_struct())
}
